@charset "utf-8";

* {
    padding: 0;
    margin: 0;
    outline: none;
    -webkit-tap-highlight-color: transparent;
}

html,body {
    width: 100%;
    height: 100%;
    position: relative;
    overflow: hidden;
    background: #f5f5f5;
}

html {
    font-family: 'Josefin Sans', sans-serif;
    font-weight: 300;
    color: #000;
}

div {
    display: block;
}

.search,
.wd,
.s {
    padding: 0;
    margin: 0;
    border: none;
    outline: none;
    background: none;
}

input:focus::-webkit-input-placeholder { color:transparent; }
input:focus:-moz-placeholder { color:transparent; }
input:focus::-moz-placeholder { color:transparent; }
input:focus:-ms-input-placeholder { color:transparent; }

.wd::-webkit-input-placeholder {
    color: #ccc;
    letter-spacing: 2px;
    font-size: 16px;
}

ul,
li {
    display: block;
    list-style: none;
}

a {
    text-decoration: none;
    color: #464545;
}

#content {
    width: 100%;
    height: 100%;
}

.con {
    width: 100%;
    transition: 1s all;
    margin: auto;
    min-width: 320px;
    height: 380px;
    position: absolute;
    left: 0;
    top: -100px;
    right: 0;
    bottom: 0;
}

.con .shlogo {
    position: relative;
    width: 120px;
    height: 120px;
    margin: 5px auto;
    background: url(avatar.png) no-repeat center/cover;
}

.con .shlogo a {
    width: 100%;
    display: block;
    width: 100%;
    height: 100%;
}

.sou {
    max-width: 680px;
    height: 50px;
}

.con .sou {
    max-width: 680px;
    position: relative;
    width: calc(100% - 60px);
    min-width: 320px;
    margin: 0 auto;
}

.con .sou form {
    width: 100%;
    /*border: 1px solid #ddd;*/
    height: 50px;
    display: block;
    margin: 10px auto 30px;
    position: relative;
}

.sou form .se {
    width: 40px;
    height: 40px;
    display: block;
    position: absolute;
    z-index: 10;
    left: 6px;
    top: 6px;
    cursor: pointer;
    font-size: 22px;
    line-height: 40px;
    border-radius: 50%;
    color: #777;
}

.sou form .se:hover {
    filter:alpha(Opacity=70);
    -moz-opacity:0.7;
    opacity: 0.7
}

.con .sou form .wd {
    width: 90%;
    height: 100%;
    text-overflow: ellipsis;
    display: block;
    line-height: 100%;
    text-indent: 55px;
    font-size: 18px;
}

.con .sou form .wd:focus {
    background: transparent;
}

.con .sou form {
    width: 100%;
    height: 100%;
    border: 1px solid #fbfbfb;
    background: #fbfbfb;
    border-radius: 25px;
}

.con .sou form:hover {
    background: #fdfdfd;
    box-shadow: 0 1px 6px 0 #fdfdfd;
    border-color: #fdfdfd;
    border: 1px solid #fdfdfd;
    border-radius: 25px;
}

.sou form .s {
    width: 40px;
    height: 40px;
    display: block;
    position: absolute;
    z-index: 10;
    right: 6px;
    top: 6px;
    cursor: pointer;
    font-size: 22px;
    line-height: 40px;
    border-radius: 50%;
    color: #777;
}

.search-engine {
    position: absolute;
    top: 60px;
    left: 0;
    width: 100%;
    background: #FFF;
    padding: 15px 0px 0px 0px;
    border-radius: 5px;
    box-shadow: 0px 5px 20px 0px #d8d7d7;
    transition: all 0.5s;
    display: none;
    z-index: 1001
}

.search-engine-head {
    overflow: hidden;
    text-indent: 20px;
    margin-bottom: 10px;
    padding-right: 15px;
}

.search-engine-tit {
    float: left;
    margin: 0;
    font-size: 14px;
    color: #999;
}

.search-engine ul {
    padding: 0;
    height: 40px;
    margin: 0 auto;
    justify-content: left;
}

.search-engine ul::before {
    content: '';
    width: 0px;
    height: 0px;
    position: absolute;
    top: -15px;
    left: 20px;
    border-top: 8px solid transparent;
    border-right: 8px solid transparent;
    border-bottom: 8px solid #fff;
    border-left: 8px solid transparent;

}

.search-engine-list::after {
    content: '';
    width: 70px;
    height: 18px;
    position: absolute;
    top: -17px;
    left: 1px;
}

.search-engine-list li {
    float: left;
    width: 80px;
    height: 30px;
    line-height: 30px;
    text-align: left;
    font-size: 14px;
    left: 15px;
    padding: 5px 10px 5px 10px;
    margin: 0 10px 10px 0;
    background: #f9f9f9;
    color: #999;
    cursor: pointer;
    list-style: none;
    position: relative;
    border-radius: 10px;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

.search-engine-list li img {
    width: 25px;
    height: 25px;
    border-radius: 15px;
    float: left;
    margin-right: 5px;
    margin-top: 2.5px;
}

.quick-div {
    margin: 0 auto;
    width: 100%;
    justify-content: left;
    overflow: hidden;
}

a.quick_div_a {
    font-size: 14px;
}

.quick {
    width: 17%;
    height: 40px;
    margin: 5px 3px;
    left: 30px;
    float: left;
    -webkit-tap-highlight-color: transparent;
    background: #fdfdfd;
    font-size: 16px;
    color: #777;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
    line-height: 40px;
    text-align: center;
    text-indent: 30px;
    cursor: pointer;
    position: relative;
    border-radius: 20px;
}

.quick:active {
    background: #fff;
    box-shadow: 0 1px 20px 0 rgba(0, 0, 0, .1);
}

.quick i {
    position: absolute;
    display: block;
    width: 40px;
    height: 40px;
    left: 0;
    border-radius: 50%;
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    transform: scale(0.7);
}

.foot {
    position: absolute;
    bottom: 20px;
    z-index: 1000;
    text-align: center;
    width: 100%;
    color: #999;
    height: 20px;
    line-height: 20px;
    font-size: 12px;
}

@media (max-width: 720px) {
    .con {
        top: 0px;
    }
    .con .shlogo {
        width: 100px;
        height: 100px;
    }
    .con .sou form button {
        border-radius: 25px;
    }
    .con .sou ul li {
        width: 23%;
        font-size: 12px;
        max-width: 116px;
    }
    .quick{
        left: 0px;
    }
    ul{
        margin-left: 25px !important;
    }
}

@media (max-width: 698px) {
    .con .sou ul li {
        width: 18.5%;
    }
}

@media (max-width: 609px) {
    .con .sou ul li {
        width: 22% !important;
    }
    ul{
        margin-left: 30px !important;
    }
}

@media (max-width: 455px) {
    .con .sou ul li {
        width: 31% !important;
    }
    ul{
        margin-left: 15px !important;
    }
}

@media (max-width: 400px) {
    ul{
    margin-left: 10px !important;
    width: fit-content;
    }
    .con .sou ul li {
        width: 50px !important;
        margin: 10px;
        height: 50px !important;
        border-radius: 25px;
    }
    .quick i {
        width: 50px !important; 
        height: 50px !important;
    }
    .con .sou ul li {
        margin: 5px 5px 10px !important;
    }
    div#link{
        display: none !important;
    }
}

/* portrait */
@media screen and (orientation:portrait) {
    @media (max-width: 550px) {
        ul{
            /* margin-left: auto !important; */
            margin-right: auto !important;
            width: fit-content;
        }
        .con .sou ul li {
            width: 50px !important;
            margin: 10px;
            height: 50px !important;
            border-radius: 25px;
        }
        .quick i {
            width: 50px !important; 
            height: 50px !important;
        }
        .con .sou ul li {
            margin: 5px 5px 10px !important;
        }
        div#link{
            display: none !important;
        }
    }
}

@media (max-height: 420px) {
    .con {
        margin: 0;
        top: 0px;
    }
    .con .sou form .wd {
        text-indent: 50px;
    }
    .con .sou form:after {
        content: "";
        display: block;
        width: 30px;
        height: 30px;
        position: absolute;
        left: 10px;
        top: 10px;
        border-radius: 50%;
        overflow: hidden;
    }
    .con .shlogo {
        display: none;
    }
    .foot {
        display: none;
    }
}

